Package org.firebirdsql.gds.impl

## Enum ServiceParameterBufferImp.SpbMetaData

- java.lang.Object
- - java.lang.Enum<ServiceParameterBufferImp.SpbMetaData>
  - - org.firebirdsql.gds.impl.ServiceParameterBufferImp.SpbMetaData

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ServiceParameterBufferImp.SpbMetaData>`, `ParameterBufferMetaData`
  Enclosing class:
    ServiceParameterBufferImp

      public static enum ServiceParameterBufferImp.SpbMetaData
      extends java.lang.Enum<ServiceParameterBufferImp.SpbMetaData>
      implements ParameterBufferMetaData

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `SPB_VERSION_2` |
    `SPB_VERSION_2_ATTACH` |
    `SPB_VERSION_3_ATTACH` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getType()` | Parameter buffer type (this usually is the version of the parameter buffer).
    `static ServiceParameterBufferImp.SpbMetaData` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ServiceParameterBufferImp.SpbMetaData[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.firebirdsql.gds.impl.ParameterBufferMetaData

      `addPreamble, getByteArgumentType, getByteArrayArgumentType, getIntegerArgumentType, getSingleArgumentType, getStringArgumentType`

- - ### Enum Constant Detail

    - #### SPB_VERSION_2_ATTACH

          public static final ServiceParameterBufferImp.SpbMetaData SPB_VERSION_2_ATTACH

    - #### SPB_VERSION_2

          public static final ServiceParameterBufferImp.SpbMetaData SPB_VERSION_2

    - #### SPB_VERSION_3_ATTACH

          public static final ServiceParameterBufferImp.SpbMetaData SPB_VERSION_3_ATTACH

  - ### Method Detail

    - #### values

          public static ServiceParameterBufferImp.SpbMetaData[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServiceParameterBufferImp.SpbMetaData c : ServiceParameterBufferImp.SpbMetaData.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServiceParameterBufferImp.SpbMetaData valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public final int getType()

      Description copied from interface: `ParameterBufferMetaData`
      Parameter buffer type (this usually is the version of the parameter buffer).
      Specified by:
        `getType` in interface `ParameterBufferMetaData`
      Returns:
        Buffer type (for example `ISCConstants.isc_spb_version3`).